Index: trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mon
===================================================================
--- trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mon	(revision 1464)
+++ trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mon	(revision 1507)
@@ -6,5 +6,5 @@
 #PBS -l cputim_prc=00:20:00       # temps max (HH:MM:SS)
 #PBS -l cputim_job=00:40:00       # temps max (HH:MM:SS)
-#PBS -l memsz_job=3.0gb           # memoire max /job
+#PBS -l memsz_job=5.0gb           # memoire max /job
 #PBS -N                           # Job name
 #PBS -e                           # error output file name
Index: trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi
===================================================================
--- trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi	(revision 1464)
+++ trunk/NVTK/INSTALL/JOBS/jhd_sx8brodie_mpi	(revision 1507)
@@ -8,5 +8,5 @@
 #PBS -l cputim_prc=00:20:00       # temps max (HH:MM:SS)
 #PBS -l cputim_job=00:40:00       # temps max (HH:MM:SS)
-#PBS -l memsz_job=5.0gb           # memoire max /job
+#PBS -l memsz_job=8.0gb           # memoire max /job
 #PBS -N                           # Job name
 #PBS -e                           # error output file name
Index: trunk/NVTK/INSTALL/JOBS/jhd_sx8mercure_mon
===================================================================
--- trunk/NVTK/INSTALL/JOBS/jhd_sx8mercure_mon	(revision 1464)
+++ trunk/NVTK/INSTALL/JOBS/jhd_sx8mercure_mon	(revision 1507)
@@ -5,5 +5,5 @@
 #PBS -S /bin/ksh                  # Shell used
 #PBS -l cputim_job=00:40:00       # temps max (HH:MM:SS)
-#PBS -l memsz_job=4.0gb           # memoire max /job
+#PBS -l memsz_job=5.0gb           # memoire max /job
 #PBS -N                           # Job name
 #PBS -e                           # error output file name
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1464)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_LIM_PISCES.ksh	(revision 1507)
@@ -129,5 +129,5 @@
 mv nam.tmp namelist
 
-# namelist modifications
+# namelist top modifications
 PAT_NWRTRC=$( supergrep nwritetrc         namelist_top )
 PAT_LRSTTR=$( supergrep lrsttr            namelist_top )
@@ -141,4 +141,17 @@
 
 mv nam.tmp namelist_top
+
+# namelist pisces modifications
+PAT_DUSTF=$( supergrep ldustfer         namelist_pisces )
+PAT_RIVER=$( supergrep lriver           namelist_pisces )
+PAT_NDEPO=$( supergrep lndepo           namelist_pisces )
+PAT_SEDIN=$( supergrep lsedinput        namelist_pisces )
+
+sed -e "s%$PAT_DUSTF%   ldustfer    =  .false.%"  \
+    -e "s%$PAT_RIVER%   lriver      =  .false.%"  \
+    -e "s%$PAT_NDEPO%   lndepo      =  .false.%"  \
+    -e "s%$PAT_SEDIN%   lsedinput   =  .false.%" namelist_pisces > nam.tmp     
+
+mv nam.tmp namelist_pisces
 
 # Get forcing files
Index: trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh
===================================================================
--- trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 1464)
+++ trunk/NVTK/INSTALL/JOBS/job_ORCA2_OFF_PISCES.ksh	(revision 1507)
@@ -27,13 +27,13 @@
         'long' ) 
              DIROUT='LONG'
-             ITERATIONS=240 ;;
+             ITERATIONS=120 ;;
               
         '1_short' ) 
              DIROUT='1_SHORT'
-             ITERATIONS=120 ;;
+             ITERATIONS=60 ;;
               
         '2_short' ) 
              DIROUT='2_SHORT'
-             ITERATIONS=120 ;;
+             ITERATIONS=60 ;;
 
         'gtime' ) 
@@ -120,4 +120,18 @@
 
 mv nam.tmp namelist_top
+
+# namelist pisces modifications
+PAT_DUSTF=$( supergrep ldustfer         namelist_pisces )
+PAT_RIVER=$( supergrep lriver           namelist_pisces )
+PAT_NDEPO=$( supergrep lndepo           namelist_pisces )
+PAT_SEDIN=$( supergrep lsedinput        namelist_pisces )
+
+sed -e "s%$PAT_DUSTF%   ldustfer    =  .false.%"  \
+    -e "s%$PAT_RIVER%   lriver      =  .false.%"  \
+    -e "s%$PAT_NDEPO%   lndepo      =  .false.%"  \
+    -e "s%$PAT_SEDIN%   lsedinput   =  .false.%" namelist_pisces > nam.tmp
+
+mv nam.tmp namelist_pisces
+
 
 # Get forcing files