Index: /trunk/NEMO/C1D_SRC/diawri_c1d.F90
===================================================================
--- /trunk/NEMO/C1D_SRC/diawri_c1d.F90	(revision 1530)
+++ /trunk/NEMO/C1D_SRC/diawri_c1d.F90	(revision 1531)
@@ -221,5 +221,5 @@
          CALL histdef( nid_T, "sometauy", "Wind Stress along j-axis"           , "N/m2"   ,   &  ! vtau
             &          jpi, jpj, nh_T, 1  , 1, 1  , - 99, 32, clop, zsto, zout )
-#if defined key_zdftke
+#if defined key_zdftke_old
          CALL histdef( nid_T, "votlsdis", " Dissipation Turbulent Lenght Scale", "m"      ,   &  ! e_dis
             &          jpi, jpj, nh_T, ipk, 1, ipk, nz_T, 32, clop, zsto, zout )
@@ -321,5 +321,5 @@
       CALL histwrite( nid_T, "vomecrty", it, vn            , ndim_T , ndex_T  )   ! j-current
       CALL histwrite( nid_T, "sometauy", it, vtau          , ndim_hT, ndex_hT )   ! j-wind stress
-#if defined key_zdftke
+#if defined key_zdftke_old
       CALL histwrite( nid_T, "votlsdis", it, e_dis         , ndim_T , ndex_T )    ! Diss. Turb. lenght scale
       CALL histwrite( nid_T, "votlsmix", it, e_mix         , ndim_T , ndex_T )    ! Mixing Turb. lenght scale
Index: /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/DYN/dynzdf.F90	(revision 1531)
@@ -116,7 +116,7 @@
 
       ! Force implicit schemes
-      IF( lk_zdftke .OR. lk_zdftke2 .OR. lk_zdfkpp   ) nzdf = 1   ! TKE or KPP physics
-      IF( ln_dynldf_iso              )                 nzdf = 1   ! iso-neutral lateral physics
-      IF( ln_dynldf_hor .AND. ln_sco )                 nzdf = 1   ! horizontal lateral physics in s-coordinate
+      IF( lk_zdftke_old .OR. lk_zdftke .OR. lk_zdfkpp )   nzdf = 1   ! TKE or KPP physics
+      IF( ln_dynldf_iso                               )   nzdf = 1   ! iso-neutral lateral physics
+      IF( ln_dynldf_hor .AND. ln_sco                  )   nzdf = 1   ! horizontal lateral physics in s-coordinate
 
       IF( lk_esopa )    nzdf = -1                   ! Esopa key: All schemes used
Index: /trunk/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 1531)
@@ -139,7 +139,7 @@
 
       ! Force implicit schemes
-      IF( lk_zdftke .OR. lk_zdftke2 .OR. lk_zdfkpp   ) nzdf = 1      ! TKE or KPP physics
-      IF( ln_traldf_iso              )                 nzdf = 1      ! iso-neutral lateral physics
-      IF( ln_traldf_hor .AND. ln_sco )                 nzdf = 1      ! horizontal lateral physics in s-coordinate
+      IF( lk_zdftke_old .OR. lk_zdftke .OR. lk_zdfkpp )   nzdf = 1      ! TKE or KPP physics
+      IF( ln_traldf_iso                               )   nzdf = 1      ! iso-neutral lateral physics
+      IF( ln_traldf_hor .AND. ln_sco                  )   nzdf = 1      ! horizontal lateral physics in s-coordinate
 
       IF( ln_zdfexp .AND. nzdf == 1 )   THEN
Index: /trunk/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 1531)
@@ -101,9 +101,9 @@
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke ) THEN
+      IF( lk_zdftke_old ) THEN
          IF(lwp) WRITE(numout,*) '             TKE dependent eddy coefficients'
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke2 ) THEN
+      IF( lk_zdftke ) THEN
          IF(lwp) WRITE(numout,*) '             TKE2 dependent eddy coefficients'
          ioptio = ioptio+1
@@ -128,5 +128,5 @@
          ioptio = ioptio+1
       ENDIF
-      IF( lk_zdftke .OR. lk_zdftke2 ) THEN
+      IF( lk_zdftke_old .OR. lk_zdftke ) THEN
          IF(lwp) WRITE(numout,*) '             use the 1.5 turbulent closure'
       ENDIF
@@ -140,5 +140,5 @@
       IF ( ioptio > 1 .AND. .NOT. lk_esopa ) &
            CALL ctl_stop( ' chose between ln_zdfnpc', '           and ln_zdfevd' )
-      IF( ioptio == 0 .AND. .NOT.( lk_zdftke .OR. lk_zdftke2 .OR. lk_zdfkpp ) ) &
+      IF( ioptio == 0 .AND. .NOT.( lk_zdftke_old .OR. lk_zdftke .OR. lk_zdfkpp ) ) &
          CALL ctl_stop( ' except for TKE sor KPP physics, a convection scheme is', &
          &              ' required: ln_zdfevd or ln_zdfnpc logicals' )
Index: /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 1531)
@@ -1,5 +1,5 @@
-MODULE zdftke
+MODULE zdftke_old
    !!======================================================================
-   !!                       ***  MODULE  zdftke  ***
+   !!                       ***  MODULE  zdftke_old  ***
    !! Ocean physics:  vertical mixing coefficient computed from the tke 
    !!                 turbulent closure parameterization
@@ -24,10 +24,10 @@
    !!              -   !  2008-06  (G. Madec)  style + DOCTOR name for namelist parameters
    !!----------------------------------------------------------------------
-#if defined key_zdftke   ||   defined key_esopa
+#if defined key_zdftke_old   ||   defined key_esopa
    !!----------------------------------------------------------------------
-   !!   'key_zdftke'                                   TKE vertical physics
+   !!   'key_zdftke_old'                               TKE vertical physics
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   zdf_tke      : update momentum and tracer Kz from a tke scheme
+   !!   zdf_tke_old  : update momentum and tracer Kz from a tke scheme
    !!   zdf_tke_init : initialization, namelist read, and parameters control
    !!   tke_rst      : read/write tke restart in ocean restart file
@@ -48,7 +48,7 @@
    PRIVATE
 
-   PUBLIC   zdf_tke    ! routine called in step module
-
-   LOGICAL , PUBLIC, PARAMETER              ::   lk_zdftke = .TRUE.  !: TKE vertical mixing flag
+   PUBLIC   zdf_tke_old   ! routine called in step module
+
+   LOGICAL , PUBLIC, PARAMETER              ::   lk_zdftke_old = .TRUE.  !: TKE vertical mixing flag
    REAL(wp), PUBLIC                         ::   eboost              !: multiplicative coeff of the shear product.
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   en                  !: now turbulent kinetic energy
@@ -102,7 +102,7 @@
 CONTAINS
 
-   SUBROUTINE zdf_tke( kt )
+   SUBROUTINE zdf_tke_old( kt )
       !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE zdf_tke  ***
+      !!                   ***  ROUTINE zdf_tke_old  ***
       !!
       !! ** Purpose :   Compute the vertical eddy viscosity and diffusivity
@@ -704,5 +704,5 @@
       ENDIF
       !
-   END SUBROUTINE zdf_tke
+   END SUBROUTINE zdf_tke_old
 
 
@@ -754,5 +754,5 @@
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'zdf_tke_init : tke turbulent closure scheme'
+         WRITE(numout,*) 'zdf_tke_init : tke turbulent closure scheme (old scheme)'
          WRITE(numout,*) '~~~~~~~~~~~~'
          WRITE(numout,*) '          Namelist namtke : set tke mixing parameters'
@@ -920,5 +920,5 @@
               en (:,:,:) = rn_emin * tmask(:,:,:)
               DO jit = 2, nn_itke + 1
-                 CALL zdf_tke( jit )
+                 CALL zdf_tke_old( jit )
               END DO
            ENDIF
@@ -936,11 +936,11 @@
    !!   Dummy module :                                        NO TKE scheme
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .FALSE.   !: TKE flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke_old = .FALSE.   !: TKE flag
 CONTAINS
-   SUBROUTINE zdf_tke( kt )          ! Empty routine
-      WRITE(*,*) 'zdf_tke: You should not have seen this print! error?', kt
-   END SUBROUTINE zdf_tke
+   SUBROUTINE zdf_tke_old( kt )          ! Empty routine
+      WRITE(*,*) 'zdf_tke_old: You should not have seen this print! error?', kt
+   END SUBROUTINE zdf_tke_old
 #endif
 
    !!======================================================================
-END MODULE zdftke
+END MODULE zdftke_old
Index: /trunk/NEMO/OPA_SRC/ZDF/zdftke2.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/ZDF/zdftke2.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/ZDF/zdftke2.F90	(revision 1531)
@@ -1,5 +1,5 @@
-MODULE zdftke2
+MODULE zdftke
    !!======================================================================
-   !!                       ***  MODULE  zdftke2  ***
+   !!                       ***  MODULE  zdftke  ***
    !! Ocean physics:  vertical mixing coefficient computed from the tke 
    !!                 turbulent closure parameterization
@@ -27,13 +27,13 @@
    !!                 !                                + cleaning of the parameters + bugs correction
    !!----------------------------------------------------------------------
-#if defined key_zdftke2   ||   defined key_esopa
+#if defined key_zdftke   ||   defined key_esopa
    !!----------------------------------------------------------------------
-   !!   'key_zdftke2'                                  TKE vertical physics
+   !!   'key_zdftke'                                   TKE vertical physics
    !!----------------------------------------------------------------------
-   !!   zdf_tke2      : update momentum and tracer Kz from a tke scheme
+   !!   zdf_tke       : update momentum and tracer Kz from a tke scheme
    !!   tke_tke       : tke time stepping: update tke at now time step (en)
    !!   tke_avn       : compute mixing length scale and deduce avm and avt
    !!   tke_init      : initialization, namelist read, and parameters control
-   !!   tke2_rst      : read/write tke restart in ocean restart file
+   !!   tke_rst       : read/write tke restart in ocean restart file
    !!----------------------------------------------------------------------
    USE oce            ! ocean dynamics and active tracers 
@@ -53,8 +53,8 @@
    PRIVATE
 
-   PUBLIC   zdf_tke2   ! routine called in step module
-   PUBLIC   tke2_rst   ! routine called in step module
-
-   LOGICAL , PUBLIC, PARAMETER              ::   lk_zdftke2 = .TRUE.  !: TKE vertical mixing flag
+   PUBLIC   zdf_tke    ! routine called in step module
+   PUBLIC   tke_rst    ! routine called in step module
+
+   LOGICAL , PUBLIC, PARAMETER              ::   lk_zdftke = .TRUE.  !: TKE vertical mixing flag
 
 #if defined key_c1d
@@ -99,5 +99,5 @@
 
    REAL(wp), DIMENSION(jpi,jpj)     ::   htau      ! depth of tke penetration (nn_htau)
-   REAL(wp), DIMENSION(jpi,jpj)     ::   avtb_2d   ! set in tke2_init, for other modif than ice
+   REAL(wp), DIMENSION(jpi,jpj)     ::   avtb_2d   ! set in tke_init, for other modif than ice
    REAL(wp), DIMENSION(jpi,jpj,jpk) ::   en        ! now turbulent kinetic energy   [m2/s2]
    REAL(wp), DIMENSION(jpi,jpj,jpk) ::   dissl     ! now mixing lenght of dissipation
@@ -114,7 +114,7 @@
 CONTAINS
 
-   SUBROUTINE zdf_tke2( kt )
+   SUBROUTINE zdf_tke( kt )
       !!----------------------------------------------------------------------
-      !!                   ***  ROUTINE zdf_tke2  ***
+      !!                   ***  ROUTINE zdf_tke  ***
       !!
       !! ** Purpose :   Compute the vertical eddy viscosity and diffusivity
@@ -168,5 +168,5 @@
                            CALL tke_avn      ! now avt, avm, avmu, avmv
       !
-   END SUBROUTINE zdf_tke2
+   END SUBROUTINE zdf_tke
 
 
@@ -627,5 +627,5 @@
    SUBROUTINE tke_init
       !!----------------------------------------------------------------------
-      !!                  ***  ROUTINE zdf_tke2_init  ***
+      !!                  ***  ROUTINE tke_init  ***
       !!                     
       !! ** Purpose :   Initialization of the vertical eddy diffivity and 
@@ -654,5 +654,5 @@
       IF(lwp) THEN                    !* Control print
          WRITE(numout,*)
-         WRITE(numout,*) 'zdf_tke2 : tke turbulent closure scheme - initialisation'
+         WRITE(numout,*) 'zdf_tke : tke turbulent closure scheme - initialisation'
          WRITE(numout,*) '~~~~~~~~'
          WRITE(numout,*) '          Namelist namtke : set tke mixing parameters'
@@ -738,12 +738,12 @@
       dissl(:,:,:) = 1.e-12
       !                               !* read or initialize all required files 
-      CALL tke2_rst( nit000, 'READ' )
+      CALL tke_rst( nit000, 'READ' )
       !
    END SUBROUTINE tke_init
 
 
-   SUBROUTINE tke2_rst( kt, cdrw )
+   SUBROUTINE tke_rst( kt, cdrw )
      !!---------------------------------------------------------------------
-     !!                   ***  ROUTINE ts_rst  ***
+     !!                   ***  ROUTINE tke_rst  ***
      !!                     
      !! ** Purpose :   Read or write TKE file (en) in restart file
@@ -785,5 +785,5 @@
               en (:,:,:) = rn_emin * tmask(:,:,:)
               CALL tke_avn                               ! recompute avt, avm, avmu, avmv and dissl (approximation)
-              DO jit = nit000 + 1, nit000 + 10   ;   CALL zdf_tke2( jit )   ;   END DO
+              DO jit = nit000 + 1, nit000 + 10   ;   CALL zdf_tke( jit )   ;   END DO
            ENDIF
         ELSE                                   !* Start from rest
@@ -799,5 +799,5 @@
      ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN   ! Create restart file
         !                                   ! -------------------
-        IF(lwp) WRITE(numout,*) '---- tke2-rst ----'
+        IF(lwp) WRITE(numout,*) '---- tke-rst ----'
         CALL iom_rstput( kt, nitrst, numrow, 'en'   , en     )
         CALL iom_rstput( kt, nitrst, numrow, 'avt'  , avt    )
@@ -809,5 +809,5 @@
      ENDIF
      !
-   END SUBROUTINE tke2_rst
+   END SUBROUTINE tke_rst
 
 #else
@@ -815,15 +815,15 @@
    !!   Dummy module :                                        NO TKE scheme
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke2 = .FALSE.   !: TKE flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .FALSE.   !: TKE flag
 CONTAINS
-   SUBROUTINE zdf_tke2( kt )          ! Empty routine
-      WRITE(*,*) 'zdf_tke2: You should not have seen this print! error?', kt
-   END SUBROUTINE zdf_tke2
-   SUBROUTINE tke2_rst( kt, cdrw )
+   SUBROUTINE zdf_tke( kt )          ! Empty routine
+      WRITE(*,*) 'zdf_tke: You should not have seen this print! error?', kt
+   END SUBROUTINE zdf_tke
+   SUBROUTINE tke_rst( kt, cdrw )
      CHARACTER(len=*) ::   cdrw
-     WRITE(*,*) 'tke2_rst: You should not have seen this print! error?', kt, cdwr
-   END SUBROUTINE tke2_rst
+     WRITE(*,*) 'tke_rst: You should not have seen this print! error?', kt, cdwr
+   END SUBROUTINE tke_rst
 #endif
 
    !!======================================================================
-END MODULE zdftke2
+END MODULE zdftke
Index: /trunk/NEMO/OPA_SRC/restart.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/restart.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/restart.F90	(revision 1531)
@@ -150,14 +150,5 @@
       !! ** Purpose :   Read files for restart (format fixed by jprstlib )
       !! 
-      !! ** Method  :   Read the previous fields on the NetCDF/binary file 
-      !!      the first record indicates previous characterics
-      !!      after control with the present run, we read :
-      !!      - prognostic variables on the second record
-      !!      - elliptic solver arrays 
-      !!      - barotropic stream function arrays ("key_dynspg_rl" defined)
-      !!        or free surface arrays 
-      !!      - tke arrays (lk_zdftke=T .OR. lk_zdftke2=T)
-      !!      for this last three records,  the previous characteristics 
-      !!      could be different with those used in the present run. 
+      !! ** Method  :   Read in restart.nc file fields which are necessary for restart
       !!----------------------------------------------------------------------
       REAL(wp) ::   zrdt, zrdttra1
Index: /trunk/NEMO/OPA_SRC/step.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/step.F90	(revision 1530)
+++ /trunk/NEMO/OPA_SRC/step.F90	(revision 1531)
@@ -87,6 +87,6 @@
    USE zdftmx          ! tide-induced vertical mixing     (zdf_tmx routine)
    USE zdfbfr          ! bottom friction                  (zdf_bfr routine)
+   USE zdftke_old      ! old TKE vertical mixing      (zdf_tke_old routine)
    USE zdftke          ! TKE vertical mixing              (zdf_tke routine)
-   USE zdftke2         ! TKE2 vertical mixing             (zdf_tke2 routine)
    USE zdfkpp          ! KPP vertical mixing              (zdf_kpp routine)
    USE zdfddm          ! double diffusion mixing          (zdf_ddm routine)
@@ -200,9 +200,9 @@
       !  VERTICAL PHYSICS   
       !                                               ! Vertical eddy viscosity and diffusivity coefficients
-      IF( lk_zdfric  )   CALL zdf_ric( kstp )         ! Richardson number dependent Kz
-      IF( lk_zdftke  )   CALL zdf_tke ( kstp )        ! TKE  closure scheme for Kz
-      IF( lk_zdftke2 )   CALL zdf_tke2( kstp )        ! TKE2 closure scheme for Kz
-      IF( lk_zdfkpp  )   CALL zdf_kpp( kstp )         ! KPP closure scheme for Kz
-      IF( lk_zdfcst  )   THEN                         ! Constant Kz (reset avt, avm[uv] to the background value)
+      IF( lk_zdfric     )   CALL zdf_ric    ( kstp )  ! Richardson number dependent Kz
+      IF( lk_zdftke_old )   CALL zdf_tke_old( kstp )  ! TKE closure scheme for Kz (old scheme)
+      IF( lk_zdftke     )   CALL zdf_tke    ( kstp )  ! TKE closure scheme for Kz
+      IF( lk_zdfkpp     )   CALL zdf_kpp    ( kstp )  ! KPP closure scheme for Kz
+      IF( lk_zdfcst     )   THEN                      ! Constant Kz (reset avt, avm[uv] to the background value)
          avt (:,:,:) = avt0 * tmask(:,:,:)
          avmu(:,:,:) = avm0 * umask(:,:,:)
@@ -223,6 +223,6 @@
                          CALL zdf_mxl( kstp )         ! mixed layer depth
 
-                                                      ! write tke2 information in the restart file
-      IF( lrst_oce .AND. lk_zdftke2 )   CALL tke2_rst( kstp, 'WRITE' )
+                                                      ! write tke information in the restart file
+      IF( lrst_oce .AND. lk_zdftke )   CALL tke_rst( kstp, 'WRITE' )
       !
       !  LATERAL  PHYSICS 
Index: /trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90
===================================================================
--- /trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90	(revision 1530)
+++ /trunk/NEMO/TOP_SRC/TRP/trctrp_ctl.F90	(revision 1531)
@@ -249,5 +249,5 @@
       ! ... vertical mixing
       ! time stepping scheme (N.B. TKE && KPP scheme => force the use of implicit scheme)
-#if defined key_zdftke || defined key_zdftke2 || defined key_zdfkpp
+#if defined key_zdftke || defined key_zdftke_old || defined key_zdfkpp
       l_trczdf_exp = .FALSE.          ! use implicit scheme
       l_trczdf_imp = .TRUE. 