Index: trunk/CONFIG/GYRE/EXP00/namelist
===================================================================
--- trunk/CONFIG/GYRE/EXP00/namelist	(revision 1528)
+++ trunk/CONFIG/GYRE/EXP00/namelist	(revision 1536)
@@ -8,5 +8,5 @@
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
 !!              7 - dynamics         (nam_dynadv, nam_dynvor, nam_dynhpg, namflg, nam_dynspg, nam_dynldf)
-!!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm, namtmx)
+!!              8 - Verical physics  (nam_zdf, nam_npc, nam_ric, nam_tke, nam_kpp, nam_ddm, nam_tmx)
 !!              9 - diagnostics      (namtrd, namgap, namflo, namptr)
 !!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
@@ -236,5 +236,5 @@
 !-----------------------------------------------------------------------
    cgren       =    0.06   !  correction of the snow or ice albedo to take into account the
-   albice      =    0.5    !  albedo of melting ice in the arctic and antarctic
+   albice      =    0.53   !  albedo of melting ice in the arctic and antarctic
    alphd       =    0.80   !  coefficients for linear interpolation used to
    alphc       =    0.65   !  compute albedo between two extremes values 
@@ -481,49 +481,46 @@
 !!             Tracers & Dynamics vertical physics namelists
 !!======================================================================
-!!       namzdf        vertical physics
-!!       namnpc        non penetrative convection                       
-!!       namric        richardson number dependent vertical mixing      ("key_zdfric"      )
-!!       namtke        TKE dependent vertical mixing                    ("key_zdftke"      )
-!!       namkpp        KPP dependent vertical mixing                    ("key_zdfkpp"      )
-!!       namddm        double diffusive mixing parameterization         ("key_zdfddm"      )
-!!       namtmx        tidal mixing parameterization                    ("key_zdftmx"      )
-!!======================================================================
-
-!-----------------------------------------------------------------------
-&namzdf        !   vertical physics
-!-----------------------------------------------------------------------
-   avm0        =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
-   avt0        =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+!!       nam_zdf       vertical physics
+!!       nam_npc       non penetrative convection                       
+!!       nam_ric       richardson number dependent vertical mixing      ("key_zdfric"      )
+!!       nam_tke       TKE dependent vertical mixing                    ("key_zdftke"      )
+!!       nam_kpp       KPP dependent vertical mixing                    ("key_zdfkpp"      )
+!!       nam_ddm       double diffusive mixing parameterization         ("key_zdfddm"      )
+!!       nam_tmx       tidal mixing parameterization                    ("key_zdftmx"      )
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&nam_zdf       !   vertical physics
+!-----------------------------------------------------------------------
+                           !  vertical eddy coef. or their background values
+   rn_avm0     =   1.2e-4  !  vertical eddy viscosity   [m2/s]          (background Kz if not "key_zdfcst")
+   rn_avt0     =   1.2e-5  !  vertical eddy diffusivity [m2/s]          (background Kz if not "key_zdfcst")
+   nn_avb      =    0      !  profile for background avt & avm (=1) or not (=0)
+   nn_havtb    =    0      !  horizontal shape for avtb (=1) or not (=0)
+   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (evd) (T) or not (F)
+   nn_evdm     =    1      !              evd apply on tracer (=0) or on tracer and momentum (=1)
+   rn_avevd    =  100.     !              evd mixing coefficient [m2/s]
    ln_zdfnpc   = .false.   !  convection: Non-Penetrative algorithm (T) or not (F)
-   ln_zdfevd   = .true.    !  convection: enhanced vertical diffusion (T) or not (F)    
-   avevd       = 100.      !  vertical coefficient for enhanced diffusion scheme [m2/s]
-   n_evdm      =   1       !  enhanced mixing apply on tracer (=0) or on tracer and momentum (=1)
-   ln_zdfexp   =  .false.  !  split explicit (T) or implicit (F) time stepping
-   n_zdfexp    =   3       !  number of sub-timestep for ln_zdfexp=T
-/
-!-----------------------------------------------------------------------
-&namnpc        !   non penetrative convection
-!-----------------------------------------------------------------------
-   nnpc1       =    1      !  non penetrative convective scheme computation frequency
-   nnpc2       =  365      !  non penetrative convective scheme print frequency
-/
-!-----------------------------------------------------------------------
-&namric        !   richardson number dependent vertical diffusion       ("key_zdfric" )
-!-----------------------------------------------------------------------
-   avmri       = 100.e-4   !  maximum value of the vertical viscosity
-   alp         =   5.      !  coefficient of the parameterization
-   nric        =   2       !  coefficient of the parameterization
+   nn_npc      =    1      !              frequency of application of npc
+   nn_npcp     =  365      !              control print frequency
+   ln_zdfexp   =  .false.  !  time-stepping: split-explicit (T) or implicit (F) time stepping
+   nn_zdfexp   =    3      !                 number of sub-timestep for ln_zdfexp=T
+/
+!-----------------------------------------------------------------------
+&nam_ric       !   richardson number dependent vertical diffusion       ("key_zdfric" )
+!-----------------------------------------------------------------------
+   rn_avmri    = 100.e-4   !  avm = rn_avmri / ( 1 + rn_alp * Ri**nn_ric )
+   rn_alp      =   5.      !  avt = avm      / ( 1 + rn_alp * Ri )
+   nn_ric      =   2       !
 /
 !-----------------------------------------------------------------------
 &namtke        !   turbulent eddy kinetic dependent vertical diffusion  ("key_zdftke")
 !-----------------------------------------------------------------------
-   ln_rstke    = .false.   !  restart with tke from a run without tke (T) or not (F)
-   nn_itke     =  50       !  number of iterative loops if ln_rstke=T 
    rn_ediff    =   0.1     !  coef. for vertical eddy coef. (avt=rn_ediff*mxl*sqrt(e) )
    rn_ediss    =   0.7     !  coef. of the Kolmogoroff dissipation
    rn_ebb      =   3.75    !  coef. of the surface input of tke
-   rn_efave    =   1.      !  boost of the tke diffusion ( avtke=rn_efave*avm )
    rn_emin     =   1.e-5   !  minimum value of tke [m2/s2]
    rn_emin0    =   1.e-4   !  surface minimum value of tke [m2/s2]
+   rn_bshear   =   1.e-20  !  background shear (>0)
    nn_mxl      =   2       !  mixing length: = 0 bounded by the distance to surface and bottom
                            !                 = 1 bounded by the local vertical scale factor
@@ -531,6 +528,4 @@
                            !                 = 3 same criteria as case 2 but applied in a different way
    nn_pdl      =   1       !  Prandtl number function of richarson number (=1, avt=pdl(Ri)*avm) or not (=0, avt=avm)
-   nn_avb      =   0       !  profile for constant background used on avt & avm (=1) or not (=0)
-   nn_ave      =   1       !  horizontal averaged on avt (=1) or not (=0) 
    ln_mxl0     = .false.   !  mixing length scale surface value as function of wind stress (T) or not (F)
    rn_lmin     =   0.4     !  interior buoyancy lenght scale minimum value
@@ -538,45 +533,43 @@
    nn_etau     =   0       !  exponentially deceasing penetration of tke due to internal & intertial waves
                            !        = 0 no penetration ( O(2 km) resolution)
-                           !        = 1 additional tke source 
+                           !        = 1 additional tke source
                            !        = 2 additional tke source applied only at the base of the mixed layer
    nn_htau     =   2       !  type of exponential decrease of tke penetration
                            !        = 0  constant 10 m length scale
                            !        = 1  ???
-                           !        = 2  ???
    rn_efr      =   0.05    !  fraction of surface tke value which penetrates inside the ocean
-   ln_lc       = .false.   !  Langmuir cell effect
+   ln_lc       = .false.   !  Langmuir cell parameterisation
    rn_lc       =   0.15    !  coef. associated to Langmuir cells
-   nn_havtb    =   0       !  horizontal shape for avtb (=1) or not (=0)
-/
-!------------------------------------------------------------------------
-&namkpp        !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
-!                                                                         "key_kppcustom" or "key_kpplktb")
-!------------------------------------------------------------------------
+/
+!------------------------------------------------------------------------ 
+&nam_kpp       !   K-Profile Parameterization dependent vertical mixing  ("key_zdfkpp", and optionnally:
+!------------------------------------------------------------------------ "key_kppcustom" or "key_kpplktb")
    ln_kpprimix = .true.    !  shear instability mixing 
-   difmiw      =  1.0e-04  !  constant internal wave viscosity [m2/s]
-   difsiw      =  0.1e-04  !  constant internal wave diffusivity [m2/s]
-   Riinfty     =  0.8      !  local Richardson Number limit for shear instability
-   difri       =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
-   bvsqcon     = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
-   difcon      =  1.       !  maximum mixing in interior convection [m2/s]
-   navb        =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
-   nave        =  1        !  constant (=0) or profile (=1) background on avt
-/
-!-----------------------------------------------------------------------
-&namddm        !   double diffusive mixing parameterization                  ("key_zdfddm")
-!-----------------------------------------------------------------------
-      avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
-      hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
-/
-!-----------------------------------------------------------------------
-&namtmx        !   tidal mixing parameterization                             ("key_zdftmx")
-!-----------------------------------------------------------------------
-      rn_htmx    = 500.      !  vertical decay scale for turbulence (meters)
-      rn_n2min   = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
-      rn_tfe     = 0.333     !  tidal dissipation efficiency 
-      rn_me      = 0.2       !  mixing efficiency
-      ln_tmx_itf = .FALSE.   !  ITF specific parameterisation
-      rn_tfe_itf = 1.        !  ITF tidal dissipation efficiency 
-/
+   rn_difmiw   =  1.0e-04  !  constant internal wave viscosity [m2/s]
+   rn_difsiw   =  0.1e-04  !  constant internal wave diffusivity [m2/s]
+   rn_riinfty  =  0.8      !  local Richardson Number limit for shear instability
+   rn_difri    =  0.0050   !  maximum shear mixing at Rig = 0    [m2/s]
+   rn_bvsqcon  = -0.01e-07 !  Brunt-Vaisala squared for maximum convection [1/s2] 
+   rn_difcon   =  1.       !  maximum mixing in interior convection [m2/s] 
+   nn_avb      =  0        !  horizontal averaged (=1) or not (=0) on avt and amv
+   nn_ave      =  1        !  constant (=0) or profile (=1) background on avt
+/  
+!-----------------------------------------------------------------------
+&nam_ddm       !   double diffusive mixing parameterization                  ("key_zdfddm")
+!-----------------------------------------------------------------------
+   rn_avts     = 1.e-4     !  maximum avs (vertical mixing on salinity)
+   rn_hsbfr    = 1.6       !  heat/salt buoyancy flux ratio
+/
+!-----------------------------------------------------------------------
+&nam_tmx       !   tidal mixing parameterization                             ("key_zdftmx")
+!-----------------------------------------------------------------------
+   rn_htmx    = 500.      !  vertical decay scale for turbulence (meters)
+   rn_n2min   = 1.e-8     !  threshold of the Brunt-Vaisala frequency (s-1)
+   rn_tfe     = 0.333     !  tidal dissipation efficiency
+   rn_me      = 0.2       !  mixing efficiency 
+   ln_tmx_itf = .FALSE.   !  ITF specific parameterisation
+   rn_tfe_itf = 1.        !  ITF tidal dissipation efficiency
+/
+
 !!======================================================================
 !!                  ***  Miscelaneous namelists  ***
@@ -653,6 +646,6 @@
    cn_trdrst_in  = "restart_mld"   ! suffix of ocean restart name (input)
    cn_trdrst_out = "restart_mld"   ! suffix of ocean restart name (output)
-   ln_trdmld_restart = .false.  !  restart for ML diagnostics
-   ln_trdmld_instant = .false.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   ln_trdmld_restart = .false.     !  restart for ML diagnostics
+   ln_trdmld_instant = .false.     !  flag to diagnose trends of instantantaneous or mean ML T/S
 /
 !-----------------------------------------------------------------------
@@ -675,7 +668,9 @@
 &namptr       !   Poleward Transport Diagnostic
 !-----------------------------------------------------------------------
-   ln_diaptr  = .false.    !  Poleward heat and salt transport (T) or not (F)
-   ln_subbas  = .false.    !  Atlantic/Pacific/Indian basins computation (T) or not 
+   ln_diaptr  = .false.     !  Poleward heat and salt transport (T) or not (F)
+   ln_diaznl  = .false.     !  Add zonal means and meridional stream functions
+   ln_subbas  = .false.     !  Atlantic/Pacific/Indian basins computation (T) or not 
                            !  (orca configuration only, need input basins mask file named "subbasins.nc"
-   nf_ptr     =  15        !  Frequency of ptr computation [time step]
-/
+   nf_ptr     =  1         !  Frequency of ptr computation [time step]
+   nf_ptr_wri =  15        !  Frequency of ptr outputs
+/