Index: /trunk/EXTERNAL/README
===================================================================
--- /trunk/EXTERNAL/README	(revision 1547)
+++ /trunk/EXTERNAL/README	(revision 1548)
@@ -1,4 +1,4 @@
 07/28/2009: rblod
 
-Directory to store external elements coupled with NEMO under the name of the component.
+Directory to store external elements coupled with NEMO under the name of the component_N.
 Directory MISC is a clever name for garbage.
Index: /trunk/EXTERNAL/XMLF90_N/AA_make
===================================================================
--- /trunk/EXTERNAL/XMLF90_N/AA_make	(revision 1548)
+++ /trunk/EXTERNAL/XMLF90_N/AA_make	(revision 1548)
@@ -0,0 +1,136 @@
+MAKE_NAM = $(MAKE)
+ifneq ($(MAKE_NAM),$(M_K))
+ @$(error You must invoke this Makefile with the $(M_K) command)
+endif
+USER_DIR = $(shell /bin/pwd)
+MAKE_DIR = '??'
+ifneq ($(USER_DIR),$(MAKE_DIR))
+ @$(error You must invoke this Makefile from its directory)
+endif
+#-
+#-Q- sxdkrz F_O = $(F_D) $(F_P) -C vsafe -size_t64 -I $(MODDIR)
+#-Q- eshpux F_O = $(F_D) $(F_P) -C vsafe -I $(MODDIR)
+#-Q- sx8brodie F_O = $(F_D) $(F_P) -I $(MODDIR)
+#-Q- sx6nec F_O = $(F_D) $(F_P) -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
+#-Q- sx8mercure F_O = $(F_D) $(F_P) -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
+#---------------------------------------------------------------------
+#- Create libxmlf90
+#---------------------------------------------------------------------
+
+.PRECIOUS : $(MODEL_LIB)
+SXMODEL_LIB = $(MODEL_LIB)
+ifeq ($(L_X),1)
+SXMODEL_LIB = $(LIBDIR)/libsxxmlf90.a
+.PRECIOUS : $(SXMODEL_LIB)
+endif
+
+MODS1 =	src/cml/flib_cml.f90 src/cml/m_cmlw.f90 src/cml/m_stmw.f90 \
+	src/dom/flib_dom.f90 src/dom/m_dom_attribute.f90 \
+	src/dom/m_dom_debug.f90 src/dom/m_dom_document.f90 \
+	src/dom/m_dom_element.f90 src/dom/m_dom_error.f90 \
+	src/dom/m_dom_namednodemap.f90 src/dom/m_dom_node.f90 \
+	src/dom/m_dom_nodelist.f90 src/dom/m_dom_parse.f90 \
+	src/dom/m_dom_types.f90 src/dom/m_dom_utils.f90 src/sax/flib_sax.f90 \
+	src/sax/m_buffer.f90 src/sax/m_charset.f90 src/sax/m_converters.f90 \
+	src/sax/m_debug.f90 src/sax/m_dictionary.f90 src/sax/m_elstack.f90 \
+	src/sax/m_entities.f90 src/sax/m_fsm.f90 src/sax/m_io.f90 \
+	src/sax/m_reader.f90 src/sax/m_xml_error.f90 src/sax/m_xml_parser.f90 \
+	src/strings/m_strings.f90 src/wxml/flib_wxml.f90 \
+	src/wxml/m_wxml_buffer.f90 src/wxml/m_wxml_core.f90 \
+	src/wxml/m_wxml_dictionary.f90 src/wxml/m_wxml_elstack.f90 \
+	src/wxml/m_wxml_text.f90 src/xpath/flib_xpath.f90 \
+	src/xpath/m_path.f90 src/xpath/m_path_orig.f90 \
+	src/xpath/match_tester.f90
+
+OBJSMODS1 =	flib_cml.o m_cmlw.o m_stmw.o flib_dom.o m_dom_attribute.o \
+	m_dom_debug.o m_dom_document.o m_dom_element.o m_dom_error.o \
+	m_dom_namednodemap.o m_dom_node.o m_dom_nodelist.o m_dom_parse.o \
+	m_dom_types.o m_dom_utils.o flib_sax.o m_buffer.o m_charset.o \
+	m_converters.o m_debug.o m_dictionary.o m_elstack.o m_entities.o \
+	m_fsm.o m_io.o m_reader.o m_xml_error.o m_xml_parser.o m_strings.o \
+	flib_wxml.o m_wxml_buffer.o m_wxml_core.o m_wxml_dictionary.o \
+	m_wxml_elstack.o m_wxml_text.o flib_xpath.o m_path.o m_path_orig.o \
+	match_tester.o
+
+all: dirxml $(MODEL_LIB)($(OBJSMODS1))
+	@echo XMLF90 is OK
+
+$(MODEL_LIB)(%.o): */*/%.f90
+	$(F_C) $(F_O) -I$(NCDF_INC) $<
+	$(A_C) $(MODEL_LIB) $*.o
+ifeq ($(L_X),1)
+	$(A_X) $(SXMODEL_LIB) $*.o
+endif
+#-Q- sgi6       mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
+ifeq ($(M_M),1)
+	@mv -f *.mod $(MODDIR)  2> /dev/null || true
+endif
+	$(RM) $*.o
+
+dirxml: 
+	@if [ ! -d ../../lib/libxmlio_server ] ; then mkdir ../../lib/libxmlio_server ; fi
+
+clean:
+	$(RM) *.*~ Makefile~ core *.o *.mod i.*.L *.L
+	$(RM)  $(MODEL_LIB) 
+
+$(MODEL_LIB)(flib_cml.o): $(MODEL_LIB)(m_cmlw.o) $(MODEL_LIB)(m_stmw.o)
+$(MODEL_LIB)(m_cmlw.o): $(MODEL_LIB)(m_stmw.o) $(MODEL_LIB)(flib_wxml.o)
+$(MODEL_LIB)(m_stmw.o): $(MODEL_LIB)(flib_wxml.o)
+$(MODEL_LIB)(flib_dom.o): $(MODEL_LIB)(m_dom_attribute.o) \
+	$(MODEL_LIB)(m_dom_document.o) $(MODEL_LIB)(m_dom_element.o) \
+	$(MODEL_LIB)(m_dom_namednodemap.o) $(MODEL_LIB)(m_dom_node.o) \
+	$(MODEL_LIB)(m_dom_nodelist.o) $(MODEL_LIB)(m_dom_parse.o) \
+	$(MODEL_LIB)(m_dom_types.o) $(MODEL_LIB)(m_dom_utils.o) \
+	$(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_attribute.o): $(MODEL_LIB)(m_dom_node.o) \
+	$(MODEL_LIB)(m_dom_types.o) $(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_document.o): $(MODEL_LIB)(m_dom_types.o) \
+	$(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_element.o): $(MODEL_LIB)(m_dom_attribute.o) \
+	$(MODEL_LIB)(m_dom_debug.o) $(MODEL_LIB)(m_dom_document.o) \
+	$(MODEL_LIB)(m_dom_namednodemap.o) $(MODEL_LIB)(m_dom_node.o) \
+	$(MODEL_LIB)(m_dom_nodelist.o) $(MODEL_LIB)(m_dom_types.o) \
+	$(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_namednodemap.o): $(MODEL_LIB)(m_dom_types.o) \
+	$(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_node.o): $(MODEL_LIB)(m_dom_debug.o) \
+	$(MODEL_LIB)(m_dom_error.o) $(MODEL_LIB)(m_dom_namednodemap.o) \
+	$(MODEL_LIB)(m_dom_nodelist.o) $(MODEL_LIB)(m_dom_types.o) \
+	$(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_nodelist.o): $(MODEL_LIB)(m_dom_types.o)
+$(MODEL_LIB)(m_dom_parse.o): $(MODEL_LIB)(m_dom_debug.o) \
+	$(MODEL_LIB)(m_dom_document.o) $(MODEL_LIB)(m_dom_element.o) \
+	$(MODEL_LIB)(m_dom_node.o) $(MODEL_LIB)(m_dom_types.o) \
+	$(MODEL_LIB)(flib_sax.o)
+$(MODEL_LIB)(m_dom_types.o): $(MODEL_LIB)(m_strings.o)
+$(MODEL_LIB)(m_dom_utils.o): $(MODEL_LIB)(m_dom_debug.o) \
+	$(MODEL_LIB)(m_dom_document.o) $(MODEL_LIB)(m_dom_element.o) \
+	$(MODEL_LIB)(m_dom_namednodemap.o) $(MODEL_LIB)(m_dom_node.o) \
+	$(MODEL_LIB)(m_dom_types.o) $(MODEL_LIB)(m_strings.o) \
+	$(MODEL_LIB)(flib_wxml.o)
+$(MODEL_LIB)(flib_sax.o): $(MODEL_LIB)(m_converters.o) \
+	$(MODEL_LIB)(m_dictionary.o) $(MODEL_LIB)(m_xml_error.o) \
+	$(MODEL_LIB)(m_xml_parser.o)
+$(MODEL_LIB)(m_converters.o): $(MODEL_LIB)(m_debug.o)
+$(MODEL_LIB)(m_dictionary.o): $(MODEL_LIB)(m_buffer.o)
+$(MODEL_LIB)(m_elstack.o): $(MODEL_LIB)(m_buffer.o)
+$(MODEL_LIB)(m_entities.o): $(MODEL_LIB)(m_buffer.o)
+$(MODEL_LIB)(m_fsm.o): $(MODEL_LIB)(m_buffer.o) $(MODEL_LIB)(m_charset.o) \
+	$(MODEL_LIB)(m_dictionary.o) $(MODEL_LIB)(m_elstack.o) \
+	$(MODEL_LIB)(m_entities.o)
+$(MODEL_LIB)(m_reader.o): $(MODEL_LIB)(m_io.o)
+$(MODEL_LIB)(m_xml_error.o): $(MODEL_LIB)(m_elstack.o)
+$(MODEL_LIB)(m_xml_parser.o): $(MODEL_LIB)(m_buffer.o) \
+	$(MODEL_LIB)(m_debug.o) $(MODEL_LIB)(m_dictionary.o) \
+	$(MODEL_LIB)(m_elstack.o) $(MODEL_LIB)(m_entities.o) \
+	$(MODEL_LIB)(m_fsm.o) $(MODEL_LIB)(m_reader.o) \
+	$(MODEL_LIB)(m_xml_error.o)
+$(MODEL_LIB)(flib_wxml.o): $(MODEL_LIB)(m_wxml_core.o) \
+	$(MODEL_LIB)(m_wxml_text.o)
+$(MODEL_LIB)(m_wxml_core.o): $(MODEL_LIB)(m_wxml_buffer.o) \
+	$(MODEL_LIB)(m_wxml_dictionary.o) $(MODEL_LIB)(m_wxml_elstack.o)
+$(MODEL_LIB)(flib_xpath.o): $(MODEL_LIB)(flib_sax.o) \
+	$(MODEL_LIB)(m_path_orig.o)
+$(MODEL_LIB)(m_path.o): $(MODEL_LIB)(flib_sax.o)
+$(MODEL_LIB)(m_path_orig.o): $(MODEL_LIB)(flib_sax.o)
Index: /trunk/EXTERNAL/XMLF90_N/AA_make.ldef
===================================================================
--- /trunk/EXTERNAL/XMLF90_N/AA_make.ldef	(revision 1548)
+++ /trunk/EXTERNAL/XMLF90_N/AA_make.ldef	(revision 1548)
@@ -0,0 +1,12 @@
+#-
+#- $Id: $
+#-
+#---------------------------------------------------------------------
+#- Local parameters for "libxml90"
+#---------------------------------------------------------------------
+SHELL = /bin/ksh
+#---------------------------------------------------------------------
+LIBDIR = ../../lib/libxmlio_server
+MODDIR = $(LIBDIR)
+#---------------------------------------------------------------------
+MODEL_LIB = $(LIBDIR)/libxmlf90.a
Index: /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make
===================================================================
--- /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make	(revision 1548)
+++ /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make	(revision 1548)
@@ -0,0 +1,258 @@
+MAKE_NAM = $(MAKE)
+ifneq ($(MAKE_NAM),$(M_K))
+ @$(error You must invoke this Makefile with the $(M_K) command)
+endif
+USER_DIR = $(shell /bin/pwd)
+MAKE_DIR = '??'
+ifneq ($(USER_DIR),$(MAKE_DIR))
+ @$(error You must invoke this Makefile from its directory)
+endif
+#-
+F_O := $(F_O) -I../../lib
+P_O := $(P_O) -traditional
+#---------------------------------------------------------------------
+#- Create libioserver and libxmlio
+#---------------------------------------------------------------------
+
+.PRECIOUS : $(MODEL_LIB1) $(MODEL_LIB2)
+SXMODEL_LIB1 = $(MODEL_LIB1)
+SXMODEL_LIB2 = $(MODEL_LIB2)
+ifeq ($(L_X),1)
+SXMODEL_LIB1 = $(LIBDIR)/libsxioserver.a
+SXMODEL_LIB2 = $(LIBDIR)/libsxxmlio.a
+.PRECIOUS : $(SXMODEL_LIB1) $(SXMODEL_LIB2)
+endif
+
+MODS1 =	src/IOSERVER/mod_ioclient_para.F90 src/IOSERVER/mod_ioserver_para.F90 \
+	src/IOSERVER/mpi_mod.F90 src/IOSERVER/mpi_wrapper.F90 \
+	src/IOSERVER/mpitrace.F90 src/IOSERVER/init_vampir.f90 \
+	src/IOSERVER/main.f90 src/IOSERVER/mod_box_grid.f90 \
+	src/IOSERVER/mod_boxed_domain.f90 src/IOSERVER/mod_event_client.f90 \
+	src/IOSERVER/mod_event_parameters.f90 \
+	src/IOSERVER/mod_event_server.f90 \
+	src/IOSERVER/mod_field_bufferize.f90 \
+	src/IOSERVER/mod_global_memory.f90 \
+	src/IOSERVER/mod_interface_ioipsl.f90 src/IOSERVER/mod_ioclient.f90 \
+	src/IOSERVER/mod_iomanager.f90 src/IOSERVER/mod_ioserver_namelist.f90 \
+	src/IOSERVER/mod_mpi_buffer_client.f90 \
+	src/IOSERVER/mod_mpi_buffer_parameters.f90 \
+	src/IOSERVER/mod_mpi_buffer_server.f90 src/IOSERVER/mod_pack.f90 \
+	src/IOSERVER/mod_prec.f90 src/IOSERVER/mod_wait.f90 \
+	src/IOSERVER/pack_f.f90 src/IOSERVER/server.f90
+
+OBJSMODS1 =	mod_ioclient_para.o mod_ioserver_para.o mpi_mod.o mpi_wrapper.o \
+	mpitrace.o init_vampir.o main.o mod_box_grid.o mod_boxed_domain.o \
+	mod_event_client.o mod_event_parameters.o mod_event_server.o \
+	mod_field_bufferize.o mod_global_memory.o mod_interface_ioipsl.o \
+	mod_ioclient.o mod_iomanager.o mod_ioserver_namelist.o \
+	mod_mpi_buffer_client.o mod_mpi_buffer_parameters.o \
+	mod_mpi_buffer_server.o mod_pack.o mod_prec.o mod_wait.o pack_f.o 
+
+MODS2 =	src/XMLIO/mod_axis.f90 src/XMLIO/mod_axis_definition.f90 \
+	src/XMLIO/mod_axis_group.f90 src/XMLIO/mod_context.f90 \
+	src/XMLIO/mod_dependency.f90 src/XMLIO/mod_domain.f90 \
+	src/XMLIO/mod_error_msg.f90 src/XMLIO/mod_field.f90 \
+	src/XMLIO/mod_field_definition.f90 src/XMLIO/mod_field_group.f90 \
+	src/XMLIO/mod_file.f90 src/XMLIO/mod_file_definition.f90 \
+	src/XMLIO/mod_file_group.f90 src/XMLIO/mod_grid.f90 \
+	src/XMLIO/mod_grid_definition.f90 src/XMLIO/mod_grid_group.f90 \
+	src/XMLIO/mod_parse_xml.f90 src/XMLIO/mod_sorted_list.f90 \
+	src/XMLIO/mod_time_parameters.f90 src/XMLIO/mod_xmlio_parameters.f90 \
+	src/XMLIO/mod_zoom.f90 src/XMLIO/string_function.f90 \
+	src/XMLIO/test_xmlio.f90 src/XMLIO/xmlio.f90
+
+OBJSMODS2 =	mod_axis.o mod_axis_definition.o mod_axis_group.o mod_context.o \
+	mod_dependency.o mod_domain.o mod_error_msg.o mod_field.o \
+	mod_field_definition.o mod_field_group.o mod_file.o \
+	mod_file_definition.o mod_file_group.o mod_grid.o \
+	mod_grid_definition.o mod_grid_group.o mod_parse_xml.o \
+	mod_sorted_list.o mod_time_parameters.o mod_xmlio_parameters.o \
+	mod_zoom.o string_function.o  xmlio.o
+
+.SUFFIXES: .f90 .F90
+
+all: libioipsl libxmlf90 dirxml $(MODEL_LIB2)($(OBJSMODS2)) $(MODEL_LIB1)($(OBJSMODS1)) server.o EXEC_BIN
+	@echo IOSERVER is OK
+
+ifeq ($(P_P),-DNO_MPI)
+EXEC_BIN :
+server.o :
+else
+EXEC_BIN : server.o
+	$(F_L) $(L_O) -o ../../bin/server.exe server.o $(MODEL_LIB1) $(MODEL_LIB2) ../../lib/libioipsl.a $(NCDF_LIB) ../../lib/libxmlio_server/libxmlf90.a
+server.o :       src/IOSERVER/server.f90
+	@$(F_C) $(F_O) -c src/IOSERVER/server.f90
+endif
+
+#Rules for ioserver
+$(MODEL_LIB1)(%.o): src/IOSERVER/%.f90
+	$(F_C) $(F_O) -I$(NCDF_INC) $<
+	$(A_C) $(MODEL_LIB1) $*.o
+ifeq ($(L_X),1)
+	$(A_X) $(SXMODEL_LIB1) $*.o
+endif
+#-Q- sgi6       mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
+ifeq ($(M_M),1)
+	@mv -f *.mod $(MODDIR)  2> /dev/null || true
+endif
+	$(RM) $*.o
+
+$(MODEL_LIB1)(%.o): src/IOSERVER/%.F90
+	$(F_C) $(F_O) $(P_P) -I$(NCDF_INC) -Isrc/IOSERVER $<
+	$(A_C) $(MODEL_LIB1) $*.o
+ifeq ($(L_X),1)
+	$(A_X) $(SXMODEL_LIB1) $*.o
+endif
+#-Q- sgi6       mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
+ifeq ($(M_M),1)
+	@mv -f *.mod $(MODDIR)  2> /dev/null || true
+endif
+	$(RM) $*.o
+
+#Rules for xmlio
+$(MODEL_LIB2)(%.o): src/XMLIO/%.f90
+	$(F_C) $(F_O) -I$(NCDF_INC) -Isrc/XMLIO $<
+	$(A_C) $(MODEL_LIB2) $*.o
+ifeq ($(L_X),1)
+	$(A_X) $(SXMODEL_LIB2) $*.o
+endif
+#-Q- sgi6       mv $(shell echo $* | tr '[:lower:]' '[:upper:]').mod $(MODDIR)
+ifeq ($(M_M),1)
+	@mv -f *.mod $(MODDIR)  2> /dev/null || true
+endif
+	$(RM) $*.o
+
+dirxml: 
+	@if [ ! -d ../../lib/libxmlio_server ] ; then mkdir ../../lib/libxmlio_server ; fi
+
+# IOIPSL library
+libioipsl :
+	(cd ../IOIPSL/src ; $(M_K) -f Makefile )
+
+# XMLF90 library
+libxmlf90 :
+	(cd ../XMLF90 ; $(M_K) -f Makefile )
+
+clean:
+	$(RM) *.*~ Makefile~ core *.o *.mod i.*.L *.L
+	$(RM) server.o $(MODEL_LIB1) $(MODEL_LIB2)
+
+$(MODEL_LIB1)(init_vampir.o): $(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(main.o): $(MODEL_LIB1)(mod_pack.o) $(MODEL_LIB1)(mod_wait.o)
+$(MODEL_LIB1)(mod_event_client.o): $(MODEL_LIB1)(mod_event_parameters.o) \
+	$(MODEL_LIB1)(mod_iomanager.o) $(MODEL_LIB1)(mod_ioserver_namelist.o) \
+	$(MODEL_LIB1)(mod_mpi_buffer_client.o) $(MODEL_LIB1)(mod_pack.o)
+$(MODEL_LIB1)(mod_event_server.o): $(MODEL_LIB1)(mod_event_parameters.o) \
+	$(MODEL_LIB1)(mod_iomanager.o) $(MODEL_LIB1)(mod_pack.o)
+$(MODEL_LIB1)(mod_global_memory.o): $(MODEL_LIB1)(mpi_mod.o)
+$(MODEL_LIB1)(mod_interface_ioipsl.o): $(MODEL_LIB1)(mod_ioserver_para.o) \
+	$(MODEL_LIB2)
+$(MODEL_LIB1)(mod_ioclient.o): $(MODEL_LIB1)(mod_event_client.o) \
+	$(MODEL_LIB1)(mod_ioclient_para.o) $(MODEL_LIB1)(mod_iomanager.o) \
+	$(MODEL_LIB1)(mod_ioserver_namelist.o) \
+	$(MODEL_LIB1)(mod_mpi_buffer_client.o) $(MODEL_LIB1)(mod_wait.o) \
+	$(MODEL_LIB1)(mpi_mod.o)
+$(MODEL_LIB1)(mod_iomanager.o): $(MODEL_LIB1)(mod_field_bufferize.o) \
+	$(MODEL_LIB1)(mod_interface_ioipsl.o) $(MODEL_LIB2)
+$(MODEL_LIB1)(mod_mpi_buffer_client.o): $(MODEL_LIB1)(mod_global_memory.o) \
+	$(MODEL_LIB1)(mod_ioclient_para.o) \
+	$(MODEL_LIB1)(mod_mpi_buffer_parameters.o) $(MODEL_LIB1)(mod_pack.o) \
+	$(MODEL_LIB1)(mod_wait.o) $(MODEL_LIB1)(mpi_mod.o) \
+	$(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(mod_mpi_buffer_parameters.o): $(MODEL_LIB1)(mod_ioserver_namelist.o)
+$(MODEL_LIB1)(mod_mpi_buffer_server.o): $(MODEL_LIB1)(mod_event_server.o) \
+	$(MODEL_LIB1)(mod_global_memory.o) $(MODEL_LIB1)(mod_ioserver_para.o) \
+	$(MODEL_LIB1)(mod_mpi_buffer_parameters.o) $(MODEL_LIB1)(mod_pack.o) \
+	$(MODEL_LIB1)(mod_wait.o) $(MODEL_LIB1)(mpi_mod.o) \
+	$(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(pack_f.o): $(MODEL_LIB1)(mod_prec.o)
+$(MODEL_LIB1)(server.o): $(MODEL_LIB1)(mod_global_memory.o) \
+	$(MODEL_LIB1)(mod_interface_ioipsl.o) $(MODEL_LIB1)(mod_iomanager.o) \
+	$(MODEL_LIB1)(mod_ioserver_namelist.o) \
+	$(MODEL_LIB1)(mod_ioserver_para.o) \
+	$(MODEL_LIB1)(mod_mpi_buffer_server.o) $(MODEL_LIB1)(mod_wait.o)
+$(MODEL_LIB1)(mod_ioclient_para.o): $(MODEL_LIB1)(mod_ioserver_namelist.o) \
+	$(MODEL_LIB1)(mpi_mod.o) $(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(mod_ioserver_para.o): $(MODEL_LIB1)(mod_ioserver_namelist.o) \
+	$(MODEL_LIB1)(mpi_mod.o) $(MODEL_LIB1)(mpitrace.o)
+$(MODEL_LIB1)(mpi_mod.o): 
+$(MODEL_LIB1)(mpitrace.o): 
+$(MODEL_LIB2)(mod_axis.o): $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_axis_def.inc
+$(MODEL_LIB2)(mod_axis_definition.o): $(MODEL_LIB2)(mod_axis_group.o)
+$(MODEL_LIB2)(mod_axis_group.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_axis_group_def.inc
+$(MODEL_LIB2)(mod_context.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_axis_definition.o) $(MODEL_LIB2)(mod_axis_group.o) \
+	$(MODEL_LIB2)(mod_dependency.o) $(MODEL_LIB2)(mod_field.o) \
+	$(MODEL_LIB2)(mod_field_definition.o) \
+	$(MODEL_LIB2)(mod_field_group.o) $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_file_definition.o) $(MODEL_LIB2)(mod_file_group.o) \
+	$(MODEL_LIB2)(mod_grid.o) $(MODEL_LIB2)(mod_grid_definition.o) \
+	$(MODEL_LIB2)(mod_grid_group.o) $(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_time_parameters.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) $(MODEL_LIB2)(mod_zoom.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_context_def.inc
+$(MODEL_LIB2)(mod_dependency.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_field.o) $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_file_definition.o) $(MODEL_LIB2)(mod_file_group.o) \
+	$(MODEL_LIB2)(mod_grid.o) $(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_zoom.o) $(MODEL_LIB2)(string_function.o) \
+	src/XMLIO/vector_field_dep_def.inc
+$(MODEL_LIB2)(mod_domain.o): $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) src/XMLIO/vector_domain_def.inc
+$(MODEL_LIB2)(mod_error_msg.o): $(MODEL_LIB2)(mod_xmlio_parameters.o)
+$(MODEL_LIB2)(mod_field.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_grid.o) \
+	$(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) $(MODEL_LIB2)(mod_zoom.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_field_def.inc
+$(MODEL_LIB2)(mod_field_definition.o): $(MODEL_LIB2)(mod_field_group.o)
+$(MODEL_LIB2)(mod_field_group.o): $(MODEL_LIB2)(mod_field.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_field_group_def.inc
+$(MODEL_LIB2)(mod_file.o): $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_field_group.o) $(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_file_def.inc
+$(MODEL_LIB2)(mod_file_definition.o): $(MODEL_LIB2)(mod_file_group.o)
+$(MODEL_LIB2)(mod_file_group.o): $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_file_group_def.inc
+$(MODEL_LIB2)(mod_grid.o): $(MODEL_LIB2)(mod_domain.o) \
+	$(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) $(MODEL_LIB2)(mod_zoom.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_grid_def.inc
+$(MODEL_LIB2)(mod_grid_definition.o): $(MODEL_LIB2)(mod_grid_group.o)
+$(MODEL_LIB2)(mod_grid_group.o): $(MODEL_LIB2)(mod_grid.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_grid_group_def.inc
+$(MODEL_LIB2)(mod_parse_xml.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_axis_definition.o) $(MODEL_LIB2)(mod_axis_group.o) \
+	$(MODEL_LIB2)(mod_context.o) $(MODEL_LIB2)(mod_error_msg.o) \
+	$(MODEL_LIB2)(mod_field.o) $(MODEL_LIB2)(mod_field_definition.o) \
+	$(MODEL_LIB2)(mod_field_group.o) $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_file_definition.o) $(MODEL_LIB2)(mod_file_group.o) \
+	$(MODEL_LIB2)(mod_grid.o) $(MODEL_LIB2)(mod_grid_definition.o) \
+	$(MODEL_LIB2)(mod_grid_group.o) $(MODEL_LIB2)(mod_zoom.o) \
+	$(MODEL_LIB2)(string_function.o)
+$(MODEL_LIB2)(mod_sorted_list.o): src/XMLIO/vector_node_def.inc
+$(MODEL_LIB2)(mod_zoom.o): $(MODEL_LIB2)(mod_sorted_list.o) \
+	$(MODEL_LIB2)(mod_xmlio_parameters.o) \
+	$(MODEL_LIB2)(string_function.o) src/XMLIO/vector_zoom_def.inc
+$(MODEL_LIB2)(string_function.o): $(MODEL_LIB2)(mod_error_msg.o)
+$(MODEL_LIB2)(test_xmlio.o): $(MODEL_LIB2)(mod_interface_ioipsl.o) \
+	$(MODEL_LIB2)(xmlio.o)
+$(MODEL_LIB2)(xmlio.o): $(MODEL_LIB2)(mod_axis.o) \
+	$(MODEL_LIB2)(mod_axis_definition.o) $(MODEL_LIB2)(mod_axis_group.o) \
+	$(MODEL_LIB2)(mod_context.o) $(MODEL_LIB2)(mod_dependency.o) \
+	$(MODEL_LIB2)(mod_error_msg.o) $(MODEL_LIB2)(mod_field.o) \
+	$(MODEL_LIB2)(mod_field_definition.o) \
+	$(MODEL_LIB2)(mod_field_group.o) $(MODEL_LIB2)(mod_file.o) \
+	$(MODEL_LIB2)(mod_file_definition.o) $(MODEL_LIB2)(mod_file_group.o) \
+	$(MODEL_LIB2)(mod_grid.o) $(MODEL_LIB2)(mod_grid_definition.o) \
+	$(MODEL_LIB2)(mod_grid_group.o) $(MODEL_LIB2)(mod_parse_xml.o) \
+	$(MODEL_LIB2)(mod_time_parameters.o) $(MODEL_LIB2)(string_function.o)
Index: /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make.ldef
===================================================================
--- /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make.ldef	(revision 1548)
+++ /trunk/EXTERNAL/XMLIO_SERVER_N/AA_make.ldef	(revision 1548)
@@ -0,0 +1,13 @@
+#-
+#- $Id: $
+#-
+#---------------------------------------------------------------------
+#- Local parameters for "libxml90"
+#---------------------------------------------------------------------
+SHELL = /bin/ksh
+#---------------------------------------------------------------------
+LIBDIR = ../../lib/libxmlio_server
+MODDIR = $(LIBDIR)
+#---------------------------------------------------------------------
+MODEL_LIB1 = $(LIBDIR)/libioserver.a
+MODEL_LIB2 = $(LIBDIR)/libxmlio.a