Index: /trunk/EXTERNAL/MISC/makemake_XMLF90.perl
===================================================================
--- /trunk/EXTERNAL/MISC/makemake_XMLF90.perl	(revision 1559)
+++ /trunk/EXTERNAL/MISC/makemake_XMLF90.perl	(revision 1560)
@@ -19,4 +19,5 @@
 # Misc
 
+print MAKEFILE "VPATH=../src/cml:../src/dom:../src/sax:../src/strings:../src/xpath:../src/wxml\n";
 print MAKEFILE "MAKE_NAM = \$(MAKE)\n";
 print MAKEFILE "ifneq (\$(MAKE_NAM),\$(M_K))\n";
@@ -34,4 +35,7 @@
 print MAKEFILE "#-Q- sx6nec F_O = \$(F_D) \$(F_P) -size_t64 -Wf\,\"-pvctl loopcnt=999999\" -I \$(MODDIR)\n";
 print MAKEFILE "#-Q- sx8mercure F_O = \$(F_D) \$(F_P) -size_t64 -Wf\,\"-pvctl loopcnt=999999\" -I \$(MODDIR)\n";
+print MAKEFILE "#-Q- aix6 F_O = \$(F_P) -O3 -qextname -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
+print MAKEFILE "#-Q- aix F_O = \$(F_P) -O3 -qextname -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
+print MAKEFILE "#-Q- aix osxxlf = \$(F_P) -O3 -qextname -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
 print MAKEFILE "#---------------------------------------------------------------------\n";
 print MAKEFILE "#- Create libxmlf90\n";
@@ -84,5 +88,6 @@
 #
 
-print MAKEFILE "\$(MODEL_LIB)(%.o): ../*/*/%.f90\n";
+print MAKEFILE "#---USE VPATH--- \$(MODEL_LIB)(%.o): ../*/*/%.f90\n";
+print MAKEFILE "\$(MODEL_LIB)(%.o): %.f90\n";
 print MAKEFILE "\t\$(F_C) \$(F_O) -I\$(NCDF_INC) \$<\n";
 print MAKEFILE "\t\$(A_C) \$(MODEL_LIB) \$*.o\n";
Index: /trunk/EXTERNAL/MISC/makemake_XMLIO.perl
===================================================================
--- /trunk/EXTERNAL/MISC/makemake_XMLIO.perl	(revision 1559)
+++ /trunk/EXTERNAL/MISC/makemake_XMLIO.perl	(revision 1560)
@@ -19,4 +19,5 @@
 # Misc
 
+print MAKEFILE "VPATH=../src/IOSERVER:../src/XMLIO\n";
 print MAKEFILE "MAKE_NAM = \$(MAKE)\n";
 print MAKEFILE "ifneq (\$(MAKE_NAM),\$(M_K))\n";
@@ -29,6 +30,15 @@
 print MAKEFILE "endif\n";
 print MAKEFILE "#-\n";
+print MAKEFILE "#-Q- aix6 F_O = \$(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
+print MAKEFILE "#-Q- aix F_O = \$(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
+print MAKEFILE "#-Q- osxxlf F_O = \$(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=\$(MODDIR) -I \$(MODDIR)\n";
 print MAKEFILE "F_O := \$(F_O) -I../../../lib\n";
 print MAKEFILE "P_O := \$(P_O) -traditional\n";
+print MAKEFILE "#-Q- aix6 L_O = \$(F_P) -q64 -O3\n"; 
+print MAKEFILE "#-Q- aix L_O = \$(F_P) -q64 -O3\n"; 
+print MAKEFILE "prefix=''\n";
+print MAKEFILE "#-Q- aix6 prefix='-WF,'\n";
+print MAKEFILE "#-Q- aix prefix='-WF,'\n";
+print MAKEFILE "override P_P := \$(P_P:\%=\$(prefix)\%)\n\n";
 print MAKEFILE "#---------------------------------------------------------------------\n";
 print MAKEFILE "#- Create libioserver and libxmlio\n";
@@ -93,9 +103,15 @@
 print MAKEFILE ".SUFFIXES: .f90 .F90\n\n";
 
-print MAKEFILE "all: libioipsl libxmlf90 dirxml \$(MODEL_LIB2)(\$(OBJSMODS2)) \$(MODEL_LIB1)(\$(OBJSMODS1)) server.o EXEC_BIN\n";
+print MAKEFILE "all: libioipsl libxmlf90 dirxml \$(MODEL_LIB2)(\$(OBJSMODS2)) key \$(MODEL_LIB1)(\$(OBJSMODS1)) server.o EXEC_BIN\n";
 print MAKEFILE "\t\@echo IOSERVER is OK\n\n";
 
+# mpi or not
+print MAKEFILE "key :\n";
+print MAKEFILE "\t\-\@if [ \"`cat KEY_CPP`\" \!= \"\$(P_P)\" ] \; then \\\n";
+print MAKEFILE "\techo \"\$(P_P)\" > KEY_CPP \; fi\n\n";
+
+
 # Main program
-print MAKEFILE "ifeq (\$(P_P),-DNO_MPI)\n";
+print MAKEFILE "ifneq  (,\$(findstring NO_MPI,\$(P_P)))\n";
 print MAKEFILE "EXEC_BIN :\n";
 print MAKEFILE "server.o :\n";
@@ -112,5 +128,6 @@
 
 print MAKEFILE "#Rules for ioserver\n";
-print MAKEFILE "\$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.f90\n";
+print MAKEFILE "#---- Using VPATH instead \$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.f90\n";
+print MAKEFILE "\$(MODEL_LIB1)(%.o): %.f90\n";
 print MAKEFILE "\t\$(F_C) \$(F_O) -I\$(NCDF_INC) \$<\n";
 print MAKEFILE "\t\$(A_C) \$(MODEL_LIB1) \$*.o\n";
@@ -124,8 +141,9 @@
 print MAKEFILE "\t\$(RM) \$*.o\n\n";
 
-#print MAKEFILE "#Rules for ioserver\n";
+print MAKEFILE "#Rules for ioserver\n";
 #print MAKEFILE "\$src/IOSERVER/%.f90: ../src/IOSERVER/%.F90\n";
 #print MAKEFILE "\t@\$(P_C) \$(P_O) \$(P_P) src/IOSERVER/\$(*F).F90 > src/IOSERVER/\$(*F).f90\n\n";
-print MAKEFILE "\$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.F90\n";
+print MAKEFILE "#---- Using VPATH instead \$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.F90\n";
+print MAKEFILE "\$(MODEL_LIB1)(%.o): %.F90 KEY_CPP\n";
 print MAKEFILE "\t\$(F_C) \$(F_O) \$(P_P) -I\$(NCDF_INC) -I../src/IOSERVER \$<\n";
 print MAKEFILE "\t\$(A_C) \$(MODEL_LIB1) \$*.o\n";
@@ -140,5 +158,6 @@
 
 print MAKEFILE "#Rules for xmlio\n";
-print MAKEFILE "\$(MODEL_LIB2)(%.o): ../src/XMLIO/%.f90\n";
+print MAKEFILE "#---- Using VPATH instead \$(MODEL_LIB1)(%.o): ../src/XMLIO/%.F90\n";
+print MAKEFILE "\$(MODEL_LIB2)(%.o): %.f90\n";
 print MAKEFILE "\t\$(F_C) \$(F_O) -I\$(NCDF_INC) -I../src/XMLIO \$<\n";
 print MAKEFILE "\t\$(A_C) \$(MODEL_LIB2) \$*.o\n";
Index: /trunk/EXTERNAL/XMLF90/AA_make
===================================================================
--- /trunk/EXTERNAL/XMLF90/AA_make	(revision 1559)
+++ /trunk/EXTERNAL/XMLF90/AA_make	(revision 1560)
@@ -1,2 +1,3 @@
+VPATH=../src/cml:../src/dom:../src/sax:../src/strings:../src/xpath:../src/wxml
 MAKE_NAM = $(MAKE)
 ifneq ($(MAKE_NAM),$(M_K))
@@ -14,4 +15,6 @@
 #-Q- sx6nec F_O = $(F_D) $(F_P) -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
 #-Q- sx8mercure F_O = $(F_D) $(F_P) -size_t64 -Wf,"-pvctl loopcnt=999999" -I $(MODDIR)
+#-Q- aix6 F_O = $(F_P) -O3 -qextname -qsuffix=f=f90  -qmoddir=$(MODDIR) -I $(MODDIR)
+#-Q- aix F_O = $(F_P) -O3 -qextname -qsuffix=f=f90  -qmoddir=$(MODDIR) -I $(MODDIR)
 #---------------------------------------------------------------------
 #- Create libxmlf90
@@ -58,5 +61,6 @@
 	@echo XMLF90 is OK
 
-$(MODEL_LIB)(%.o): ../*/*/%.f90
+#---USE VPATH--- $(MODEL_LIB)(%.o): ../*/*/%.f90
+$(MODEL_LIB)(%.o): %.f90
 	$(F_C) $(F_O) -I$(NCDF_INC) $<
 	$(A_C) $(MODEL_LIB) $*.o
Index: /trunk/EXTERNAL/XMLIO_SERVER/AA_make
===================================================================
--- /trunk/EXTERNAL/XMLIO_SERVER/AA_make	(revision 1559)
+++ /trunk/EXTERNAL/XMLIO_SERVER/AA_make	(revision 1560)
@@ -1,2 +1,3 @@
+VPATH=../src/IOSERVER:../src/XMLIO
 MAKE_NAM = $(MAKE)
 ifneq ($(MAKE_NAM),$(M_K))
@@ -9,6 +10,16 @@
 endif
 #-
+#-Q- aix6 F_O = $(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=$(MODDIR) -I $(MODDIR)
+#-Q- aix F_O = $(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=$(MODDIR) -I $(MODDIR)
+#-Q- osxxlf F_O = $(F_P) -O3 -qextname -qsuffix=cpp=F90 -qsuffix=f=f90  -qmoddir=$(MODDIR) -I $(MODDIR)
 F_O := $(F_O) -I../../../lib
 P_O := $(P_O) -traditional
+#-Q- aix6 L_O = $(F_P) -q64 -O3
+#-Q- aix L_O = $(F_P) -q64 -O3
+prefix=''
+#-Q- aix6 prefix='-WF,'
+#-Q- aix prefix='-WF,'
+override P_P := $(P_P:%=$(prefix)%)
+
 #---------------------------------------------------------------------
 #- Create libioserver and libxmlio
@@ -76,8 +87,12 @@
 .SUFFIXES: .f90 .F90
 
-all: libioipsl libxmlf90 dirxml $(MODEL_LIB2)($(OBJSMODS2)) $(MODEL_LIB1)($(OBJSMODS1)) server.o EXEC_BIN
+all: libioipsl libxmlf90 dirxml $(MODEL_LIB2)($(OBJSMODS2)) key $(MODEL_LIB1)($(OBJSMODS1)) server.o EXEC_BIN
 	@echo IOSERVER is OK
 
-ifeq ($(P_P),-DNO_MPI)
+key :
+	-@if [ "`cat KEY_CPP`" != "$(P_P)" ] ; then \
+	echo "$(P_P)" > KEY_CPP ; fi
+
+ifneq  (,$(findstring NO_MPI,$(P_P)))
 EXEC_BIN :
 server.o :
@@ -90,5 +105,6 @@
 
 #Rules for ioserver
-$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.f90
+#---- Using VPATH instead $(MODEL_LIB1)(%.o): ../src/IOSERVER/%.f90
+$(MODEL_LIB1)(%.o): %.f90
 	$(F_C) $(F_O) -I$(NCDF_INC) $<
 	$(A_C) $(MODEL_LIB1) $*.o
@@ -102,5 +118,7 @@
 	$(RM) $*.o
 
-$(MODEL_LIB1)(%.o): ../src/IOSERVER/%.F90
+#Rules for ioserver
+#---- Using VPATH instead $(MODEL_LIB1)(%.o): ../src/IOSERVER/%.F90
+$(MODEL_LIB1)(%.o): %.F90 KEY_CPP
 	$(F_C) $(F_O) $(P_P) -I$(NCDF_INC) -I../src/IOSERVER $<
 	$(A_C) $(MODEL_LIB1) $*.o
@@ -115,5 +133,6 @@
 
 #Rules for xmlio
-$(MODEL_LIB2)(%.o): ../src/XMLIO/%.f90
+#---- Using VPATH instead $(MODEL_LIB1)(%.o): ../src/XMLIO/%.F90
+$(MODEL_LIB2)(%.o): %.f90
 	$(F_C) $(F_O) -I$(NCDF_INC) -I../src/XMLIO $<
 	$(A_C) $(MODEL_LIB2) $*.o
Index: /trunk/NVTK/Makefile
===================================================================
--- /trunk/NVTK/Makefile	(revision 1559)
+++ /trunk/NVTK/Makefile	(revision 1560)
@@ -67,4 +67,5 @@
 	@echo 
 	@echo "CONFIGURATION :" $@
+	@( if [ ! -d ${NAM_V} ] ; then mkdir ${NAM_V} ;  fi ; )
 	@( cd ${NAM_V} ; MYREP_LIST=`( ls *.[Ffh]90 )` ; cd ../../$@/MY_SRC ; rm -rf *.[Ffh]90 ; \
         if [ -n "$$MYREP_LIST" ] ; then ln -sf ../../NVTK/${NAM_V}/*.[Ffh]90 . ; fi ; )
@@ -84,4 +85,8 @@
 	@echo '                              Build the Makefile for' $@ 'configuration'
 	@../../util/ins_make -w $@
+ifeq ($(USE_IOMPUT),true)
+	@../../util/ins_make -w XMLF90
+	@../../util/ins_make -w XMLIO_SERVER
+endif
 	@echo
 	@echo
Index: /trunk/NVTK/fait_AA_make
===================================================================
--- /trunk/NVTK/fait_AA_make	(revision 1559)
+++ /trunk/NVTK/fait_AA_make	(revision 1560)
@@ -95,5 +95,5 @@
 	(cd ../../../modeles/XMLF90; ./configure -arch \$(FCM_ARCH); fcm build; mkdir -p ../../lib/libxmlio_server  ; cd ../../lib/libxmlio_server ; ln -sf ../../modeles/XMLF90/lib/*.a .; ln -sf ../../modeles/XMLF90/inc/*.mod .)
 	(cd ../../../modeles/XMLIO_SERVER; ./configure -arch \$(FCM_ARCH); fcm build ; cd ../../lib/libxmlio_server ; ln -sf ../../modeles/XMLIO_SERVER/lib/*.a . ; ln -sf ../../modeles/XMLIO_SERVER/inc/* . ; cd ../../bin ; ln -sf ../modeles/XMLIO_SERVER/bin/server.exe ioserver)
-+else
+else
 	(cd ../../../modeles/XMLF90/external ; \$(M_K) -f Makefile )
 	(cd ../../../modeles/XMLIO_SERVER/external ; \$(M_K) -f Makefile P_P="\$(IOSERVER_MPI)" )